Bug 519663 - 'lpstat -h myfqdn -s' never finishes
Summary: 'lpstat -h myfqdn -s' never finishes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-27 10:39 UTC by Tim Waugh
Modified: 2009-10-14 02:01 UTC (History)
2 users (show)

Fixed In Version: 1.4.1-4.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-14 02:01:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CUPS Bugs and Features 3311 None None None Never

Description Tim Waugh 2009-08-27 10:39:49 UTC
Description of problem:
Trying to refer to the local machine by any name other than 'localhost' should fail but instead libcups gets stuck in a loop.

Version-Release number of selected component (if applicable):
cups-1.4-0.rc1.15.fc11.x86_64

How reproducible:
100%

Steps to Reproduce:
1.lpstat -h localhost4 -s
  
Actual results:
Never finishes.

Expected results:
Error message.

Comment 1 Jiri Popelka 2009-08-27 10:47:04 UTC
For me it works good:

Version-Release number of selected component (if applicable):
cups-1.4-0.rc1.18.fc11.x86_64

Steps to Reproduce:
1.lpstat -h localhost4 -s

Actual results:
no system default destination
lpstat: No such file or directory
lpstat: No such file or directory

Comment 2 Tim Waugh 2009-08-27 11:34:56 UTC
Oh, it only happens when using an actual fully-qualified domain name.  For instance, here I use 'lpstat -h worm.elk -s'.

Comment 3 Fedora Update System 2009-09-30 14:20:09 UTC
cups-1.4.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/cups-1.4.1-1.fc11

Comment 4 Fedora Update System 2009-10-01 00:06:32 UTC
cups-1.4.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10152

Comment 5 Fedora Update System 2009-10-03 18:59:54 UTC
cups-1.4.1-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10152

Comment 6 Fedora Update System 2009-10-09 03:37:01 UTC
cups-1.4.1-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10152

Comment 7 Fedora Update System 2009-10-14 02:00:24 UTC
cups-1.4.1-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.